### Method

# Gtk TextIter forward_find_char

#### Declaration [src]

    gboolean
    gtk_text_iter_forward_find_char (
      GtkTextIter* iter,
      GtkTextCharPredicate pred,
      gpointer user_data,
      const GtkTextIter* limit
    )

#### Description [src]

Advances `iter`, calling `pred` on each character.

If `pred` returns `TRUE`, returns `TRUE` and stops scanning. If `pred` never returns `TRUE`, `iter` is set to `limit` if `limit` is non-`NULL`, otherwise to the end iterator.

#### Parameters

`pred` | `GtkTextCharPredicate`
| A function to be called on each character.
`user_data` | `gpointer`
| User data for `pred`.
`limit` | `GtkTextIter`
| Search limit.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Whether a match was found.